import java.util.Arrays;

public class Bins {
    int[][] binArray;
    int minRoll;
    int maxRoll;
    int binCount;

    Bins(int minRoll, int maxRoll) {
        this.minRoll = minRoll;
        this.maxRoll = maxRoll;

        //create bins to fill; first int is roll amount, second will be number of rolls at that amount
        this.binCount = maxRoll - minRoll + 1;
        binArray = new int[binCount][2];
        int binNumber = minRoll;

        for (int i = 0; i < binCount; i++) {
            binArray[i][0] = binNumber;
            binNumber++;
        }
//        System.out.println(Arrays.deepToString(binArray));
    }

    public int getBin(int currentRoll) {
        return binArray[currentRoll-minRoll][1];
    }

    public void incrementBin (int currentRoll) {
        int currentValue = getBin(currentRoll);
        currentValue++;
        binArray[currentRoll-minRoll][1] = currentValue;
    }
}
